Skip to main content

Update Brand Resource

API Description

Update a brand resource by supplying the unique Apple-generated ID assigned to the partner’s description of a brand, along with the brand's description in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "4d891a34-ddc8-11ec-a7a0-f7f6c418993d"

Request Body

NameInput
$.id
REQUIRED
$.brandDetails
REQUIRED

categories are updated in this scenario.

Example Request Body (raw JSON)
{
"id": "9467895078742654921",
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en-US",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: bb78ec43-d648-4c4f-9f8b-1f9fa3ea70f6
content-type: application/json
etag: "ca59b316-ddcd-11ec-97ed-2bc3ad80a69c"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921

Response Body

NameOutput
$.orgId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.brandDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-03T14:13:00.00Z",
"state": "SUBMITTED",
"etag": "ca59b316-ddcd-11ec-97ed-2bc3ad80a69c",
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
},
"validationReports": []
}